Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.flexdock.docking.state
Interface LayoutNode

All Superinterfaces:
  Cloneable, MutableTreeNode, Serializable, TreeNode

All Known Implementing Classes:
  DockableNode, DockingNode, DockingPortNode, SplitNode

    public interface LayoutNode

extends MutableTreeNode, Cloneable, Serializable

Author:
  Christopher Butler

Method Summary
`void` | `add(MutableTreeNode child)`
`Object` | `clone()`
`Object` | `getDockingObject()`
`Object` | `getUserObject()`

Methods inherited from interface javax.swing.tree.MutableTreeNode
`insert, remove, remove, removeFromParent, setParent, setUserObject`

Methods inherited from interface javax.swing.tree.TreeNode
`children, getAllowsChildren, getChildAt, getChildCount, getIndex, getParent, isLeaf`

Method Detail

### getUserObject

    Object getUserObject()

### getDockingObject

    Object getDockingObject()

### add

    void add(MutableTreeNode child)

### clone

    Object clone()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD